/// <reference types="node" />
/**
 * Sanitize a WebP input.
 *
 * @param input A WebP format input stream.
 * @throws {IoError} If an IO error on the input occurs.
 * @throws {InvalidMediaInputError} If the input could not be parsed because it was invalid.
 * @throws {UnsupportedMediaInputError} If the input could not be parsed because it's unsupported in some way.
 */
export declare function sanitize(input: Buffer): void;
