/// <reference types="node" />
/// <reference types="node" />
import * as Native from '../Native';
import * as stream from 'stream';
export type ChunkSizeChoice = {
    kind: 'everyN';
    n: number;
} | {
    kind: 'chunksOf';
    dataSize: number;
};
export declare function everyNthByte(n: number): ChunkSizeChoice;
export declare function inferChunkSize(dataSize: number): ChunkSizeChoice;
export declare class DigestingWritable extends stream.Writable {
    _nativeHandle: Native.IncrementalMac;
    _digests: Buffer[];
    constructor(key: Buffer, sizeChoice: ChunkSizeChoice);
    getFinalDigest(): Buffer;
    _write(chunk: any, _encoding: BufferEncoding, callback: (error?: Error | null) => void): void;
    _final(callback: (error?: Error | null) => void): void;
}
export declare class ValidatingWritable extends stream.Writable {
    _nativeHandle: Native.ValidatingMac;
    _validatedBytes: number;
    constructor(key: Buffer, sizeChoice: ChunkSizeChoice, digest: Buffer);
    validatedSize(): number;
    _write(chunk: any, _encoding: BufferEncoding, callback: (error?: Error | null) => void): void;
    _final(callback: (error?: Error | null) => void): void;
}
export declare function chunkSizeInBytes(sizeChoice: ChunkSizeChoice): number;
