/// <reference types="node" />
export type UsernameLink = {
    entropy: Buffer;
    encryptedUsername: Buffer;
};
export declare function generateCandidates(nickname: string, minNicknameLength: number, maxNicknameLength: number): string[];
export declare function fromParts(nickname: string, discriminator: string, minNicknameLength: number, maxNicknameLength: number): {
    username: string;
    hash: Buffer;
};
export declare function hash(username: string): Buffer;
export declare function generateProof(username: string): Buffer;
export declare function generateProofWithRandom(username: string, random: Buffer): Buffer;
export declare function decryptUsernameLink(usernameLink: UsernameLink): string;
export declare function createUsernameLink(username: string, previousEntropy?: Buffer): UsernameLink;
export declare function verifyProof(proof: Buffer, hash: Buffer): void;
