"use strict";
//
// Copyright 2020-2021 Signal Messenger, LLC.
// SPDX-License-Identifier: AGPL-3.0-only
//
Object.defineProperty(exports, "__esModule", { value: true });
const Native = require("../../Native");
class ServerPublicParams {
    constructor(contents) {
        if (contents instanceof Buffer) {
            this._nativeHandle = Native.ServerPublicParams_Deserialize(contents);
        }
        else {
            this._nativeHandle = contents;
        }
    }
    verifySignature(message, notarySignature) {
        Native.ServerPublicParams_VerifySignature(this, message, notarySignature.getContents());
    }
    serialize() {
        return Native.ServerPublicParams_Serialize(this);
    }
}
exports.default = ServerPublicParams;
//# sourceMappingURL=ServerPublicParams.js.map