/// <reference types="node" />
import * as Native from '../../Native';
import ServerPublicParams from './ServerPublicParams';
import NotarySignature from './NotarySignature';
export default class ServerSecretParams {
    static generate(): ServerSecretParams;
    static generateWithRandom(random: Buffer): ServerSecretParams;
    readonly _nativeHandle: Native.ServerSecretParams;
    constructor(contents: Buffer | Native.ServerSecretParams);
    getPublicParams(): ServerPublicParams;
    sign(message: Buffer): NotarySignature;
    signWithRandom(random: Buffer, message: Buffer): NotarySignature;
    serialize(): Buffer;
}
