"use strict";
//
// Copyright 2023 Signal Messenger, LLC.
// SPDX-License-Identifier: AGPL-3.0-only
//
Object.defineProperty(exports, "__esModule", { value: true });
const ByteArray_1 = require("../internal/ByteArray");
const Native = require("../../../Native");
class BackupAuthCredentialPresentation extends ByteArray_1.default {
    constructor(contents) {
        super(contents, Native.BackupAuthCredentialPresentation_CheckValidContents);
    }
    verify(serverParams, now = new Date()) {
        Native.BackupAuthCredentialPresentation_Verify(this.contents, Math.floor(now.getTime() / 1000), serverParams.contents);
    }
}
exports.default = BackupAuthCredentialPresentation;
//# sourceMappingURL=BackupAuthCredentialPresentation.js.map