/// <reference types="node" />
import ByteArray from '../internal/ByteArray';
import BackupAuthCredentialRequest from './BackupAuthCredentialRequest';
import BackupAuthCredentialResponse from './BackupAuthCredentialResponse';
import BackupAuthCredential from './BackupAuthCredential';
import GenericServerPublicParams from '../GenericServerPublicParams';
import { Uuid } from '../..';
export default class BackupAuthCredentialRequestContext extends ByteArray {
    private readonly __type?;
    constructor(contents: Buffer);
    static create(backupKey: Buffer, aci: Uuid): BackupAuthCredentialRequestContext;
    getRequest(): BackupAuthCredentialRequest;
    receive(response: BackupAuthCredentialResponse, redemptionTime: number, params: GenericServerPublicParams): BackupAuthCredential;
}
