/// <reference types="node" />
import ByteArray from '../internal/ByteArray';
import CallLinkSecretParams from './CallLinkSecretParams';
import CallLinkAuthCredentialPresentation from './CallLinkAuthCredentialPresentation';
import GenericServerPublicParams from '../GenericServerPublicParams';
import { Aci } from '../../Address';
export default class CallLinkAuthCredential extends ByteArray {
    private readonly __type?;
    constructor(contents: Buffer);
    present(userId: Aci, redemptionTime: number, serverParams: GenericServerPublicParams, callLinkParams: CallLinkSecretParams): CallLinkAuthCredentialPresentation;
    presentWithRandom(userId: Aci, redemptionTime: number, serverParams: GenericServerPublicParams, callLinkParams: CallLinkSecretParams, random: Buffer): CallLinkAuthCredentialPresentation;
}
