/// <reference types="node" />
import ByteArray from '../internal/ByteArray';
import GenericServerSecretParams from '../GenericServerSecretParams';
import GenericServerPublicParams from '../GenericServerPublicParams';
import CallLinkAuthCredential from './CallLinkAuthCredential';
import { Aci } from '../../Address';
export default class CallLinkAuthCredentialResponse extends ByteArray {
    private readonly __type?;
    constructor(contents: Buffer);
    static issueCredential(userId: Aci, redemptionTime: number, params: GenericServerSecretParams): CallLinkAuthCredentialResponse;
    static issueCredentialWithRandom(userId: Aci, redemptionTime: number, params: GenericServerSecretParams, random: Buffer): CallLinkAuthCredentialResponse;
    receive(userId: Aci, redemptionTime: number, params: GenericServerPublicParams): CallLinkAuthCredential;
}
